import { INotOptimizedReportResponse, IOptimizedReportResponse, IReportRequest } from "../../models/report";
import { IRequestOptions } from "../../models/request";
import { BaseApi } from "../base";
export declare class DataApi extends BaseApi {
    /**
     * Gets representation of query to be sent to your database engine
     */
    getQuery: (request: IReportRequest, requestOptions?: IRequestOptions) => Promise<string>;
    /**
     * Gets the data in JSON format
     */
    getData: (request: IReportRequest, requestOptions?: IRequestOptions) => Promise<INotOptimizedReportResponse>;
    /**
     * Gets the data in optimized JSON format
     */
    getDataOptimized: (request: IReportRequest, requestOptions?: IRequestOptions) => Promise<IOptimizedReportResponse>;
    /**
     * Gets data in CSV format
     */
    getCSV: (request: IReportRequest, requestOptions?: IRequestOptions) => Promise<string>;
    /**
     * Gets data in Excel format
     */
    getExcel: (request: IReportRequest, requestOptions?: IRequestOptions) => Promise<string>;
}
