import { IConnectionsHealth, IDataModelsHealth, IOverallHealth } from '../../models/health';
import { IRequestOptions } from '../../models/request';
import { BaseApi } from '../base';
export declare class HealthcheckApi extends BaseApi {
    /**
     * Gets Engine system's status.
     * If system response is positive system returns message "Service is OK" which means system is ready to serve requests.
     * Otherwise error response is returned.
     */
    getHealth: (requestOptions?: IRequestOptions) => Promise<string>;
    /**
     * Gets overall system's status with the details
     */
    getHealthDetails: (requestOptions?: IRequestOptions) => Promise<IOverallHealth>;
    /**
     * Gets database connections health
     */
    getConnectionsHealth: (requestOptions?: IRequestOptions) => Promise<IConnectionsHealth>;
    /**
     * Gets Data Model's status/health
     */
    getDataModelsHealth: (requestOptions?: IRequestOptions) => Promise<IDataModelsHealth>;
}
