import { IRequestHeaders, IRequestMethodOptions, IRequestOptions } from "../models/request";
export declare class BaseApi {
    protected baseUrl: string;
    protected timeout: number;
    protected headers: IRequestHeaders;
    constructor(options: IRequestOptions);
    setTimeout: (timeout: number) => void;
    setBaseUrl: (baseUrl: string) => void;
    setHeaders: (headers: IRequestHeaders) => void;
    protected post: <Return, Body_1 = void>(options: IRequestMethodOptions<Body_1>) => Promise<Return>;
    protected get: <Return>(options: IRequestMethodOptions<void>) => Promise<Return>;
    protected put: <Return, Body_1 = void>(options: IRequestMethodOptions<Body_1>) => Promise<Return>;
    protected delete: <Return>(options: IRequestMethodOptions<void>) => Promise<Return>;
    private call;
    private getCallUrl;
}
