import { IDimensionValue, IMetricValues, IReportNotOptimizedRow, IReportOptimizedDataRow, IReportResponse, ISingleValue } from '../models/report';
export declare class DataSet {
    private response;
    private dimensionIndexes;
    private metricIndexes;
    constructor(response: IReportResponse<IReportNotOptimizedRow | IReportOptimizedDataRow>);
    /**
     * Returns raw data response
     */
    getRawResponse(): IReportResponse<(string | number)[] | IReportNotOptimizedRow>;
    /**
     * Returns dimensions values
     */
    getDimensionsValues(): IDimensionValue[][];
    /**
     * Returns all values mapped by metrics
     */
    getMetricsValues(): IMetricValues[];
    /**
     * Returns all values
     */
    getValues(): ISingleValue[];
    private getColumnsIndexes;
    private getRowDimensionsValues;
    private getOptimizedDataRow;
    private isOptimizedDataRow;
}
